#!/bin/bash

tar -xvf lammps-stable.tar.gz

LAMMPS_ROOT='/cluster/home/lammps-3Mar20'
PLUMED_ROOT="/cluster/home/plumed-2.5.0"

module purge
module load new
module load gcc/6.3.0
module load open_mpi/3.0.0
module load mkl/2018.1

cd $PLUMED_ROOT
source ./sourceme.sh
cd $LAMMPS_ROOT/src
make yes-user-misc
make yes-user-reaxc
make yes-molecule 
make yes-manybody 
make yes-kspace
make yes-user-phonon
make yes-rigid
make -j 4 g++_openmpi
make lib-plumed args="-p $PLUMED_ROOT/install -m shared"
make yes-user-plumed
make -j 4 g++_openmpi

